body {
  margin-top: 75px;
}

h1,
h2,
p,
label,
select,
input,
th,
td {
  text-align: center;
  font-family: "Open Sans", Verdana, Geneva, Tahoma, sans-serif;
  color: #333333;
}

#enterItemTableContainer {
  display: table;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  border-spacing: 10px;
}

div#enterItem {
  border: 3px solid #94ade5;
  border-radius: 5px;
}

.topTaskTableContainer {
  display: table;
  margin-top: 30px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
  text-align: left;
}

div#bottomTaskTableContainer {
  display: table;
  margin-top: 10px;
  margin-bottom: 20px;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
}

.tableRow {
  display: table-row;
}

.formElement {
  display: table-cell;
  padding: 5px;
  margin-left: 30px;
  margin-right: 30px;
}

.addButton {
  text-align: center;
  background-color: #9bd392;
  padding: 10px 25px;
  color: #666666;
  border: none;
  outline: none;
  border-radius: 5px;
  font-size: 1em;
}

.taskField {
  width: 520px;
  height: 30px;
  text-align: left;
}

.taskField:hover,
.taskField:focus,
.dateField:hover,
.dateField:focus,
.dropdown:hover,
.dropdown:focus,
.addButton:hover,
.addButton:focus,
#deleteAllModalButton:hover,
#deleteAllModalButton:focus,
#cancelButton:hover,
#cancelButton:focus,
#deleteAllMainButton:hover,
#deleteAllMainButton:focus,
#backToProjects:hover,
#backToProjects:focus,
.editIcon:hover,
.editIcon:focus,
.deleteIcon:hover,
.deleteIcon:focus {
  text-decoration: none;
  cursor: pointer;
}

#taskSection {
  /* to show this section, use display: block; */
  display: none;
}

.dateField {
  width: 170px;
  height: 30px;
}

.dropdown {
  width: 125px;
  height: 35px;
}

input:focus,
textarea:focus,
select:focus {
  outline: none;
}

#error {
  visibility: hidden;
  text-align: center;
  /*margin-top: 15px;*/
  margin-bottom: 10px;
}

#errorMessage {
  display: inline;
  color: #ed8380;
  z-index: 1;
}

#newIcon {
  position: center;
}

#sortDeleteTable {
  display: table;
  margin-left: auto;
  margin-right: auto;
  margin-top: 50px;
  margin-bottom: 20px;
  text-align: center;
}

.buttonElementDisplay {
  display: table-cell;
  padding: 0 25px;
  margin-left: 30px;
  margin-right: 30px;
}

#deleteAllModalButton {
  text-align: center;
  background-color: #f09c9a;
  padding: 10px 25px;
  color: #666666;
  border: none;
  outline: none;
  border-radius: 5px;
  font-size: 1em;
}

#cancelButton {
  text-align: center;
  background-color: #999999;
  padding: 10px 25px;
  color: #ffffff;
  border: none;
  outline: none;
  /* you might need to change the width if it displays badly in mobile */
  width: 120px;
  border-radius: 5px;
  font-size: 1em;
}

#taskTable {
  margin-left: auto;
  margin-right: auto;
  border: thin solid black;
  border-collapse: collapse;
}

th {
  border: thin solid black;
  background-color: #94ade5;
  height: 50px;
}

td {
  border: thin solid black;
  max-width: 500px;
  height: 30px;
  padding: 10px;
}

.taskItem {
  text-align: left;
}

#taskHeader {
  width: 500px;
}

#dateHeader {
  width: 170px;
}

#editHeader {
  width: 125px;
}

#priorityHeader {
  width: 125px;
}

#deleteHeader {
  width: 125px;
}

#tableContainer {
  display: table;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  border-spacing: 10px;
}

/*div#buttonTableContainer {
  display: table;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  border-spacing: 50px;
}*/

#deleteAllMainButton {
  display: inline-block;
  margin-top: 60px;
  margin-left: 30px;
  margin-right: 30px;
  text-align: center;
  background-color: #f09c9a;
  padding: 18px 70px;
  color: #666666;
  border: none;
  outline: none;
  border-radius: 5px;
  font-size: 1.25em;
}

#backToProjects {
  display: inline-block;
  margin-top: 60px;
  margin-left: 30px;
  margin-right: 30px;
  text-align: center;
  background-color: #fbaa19;
  padding: 18px 40px;
  color: #666666;
  border: none;
  outline: none;
  border-radius: 5px;
  font-size: 1.25em;
}

#footer {
  margin-bottom: 100px;
  text-align: center;
}

/*#reload {
  display: inline-block;
  margin-top: 60px;
  margin-left: 30px;
  margin-right: 30px;
  text-align: center;
  background-color: #9ce4e5;
  padding: 18px 62px;
  color: #666666;
  border: none;
  outline: none;
  border-radius: 5px;
  font-size: 1.25em;
}*/

a {
  text-decoration: none;
  color: #666666;
}

a:active {
  text-decoration: none;
}

#deleteModal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.3);
}

.modalTableContainer {
  display: table;
  margin-top: 10px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  border-spacing: 10px;
}

#deleteModalContent {
  text-align: center;
  background-color: #ffffff;
  margin: 15% auto;
  padding: 20px;
  width: 50%;
  border: 5px solid #f09c9a;
}

#editModal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.3);
}

#editModalContent {
  text-align: center;
  background-color: #ffffff;
  margin: 15% auto;
  padding: 20px;
  width: 50%;
  border: 5px solid #fbaa19;
}

.closeButton {
  color: #666666;
  float: right;
  font-size: 30px;
}

.closeButton:hover,
.closeButton:focus {
  color: #333333;
  text-decoration: none;
  cursor: pointer;
}
